# chain2dim(1)

## NAME

chain2dim - two-dimensional match chaining

## SYNOPSIS

*chain2dim* [options] <matchfile>

## OPTIONS

*-global* <param>:: 
  Global chaining. Optional parameter "gc" switches on gap costs (according to
  L1-model). Optional parameter "ov" means that overlaps between matches are
  allowed.

*-local* <param>::
  Compute local chains (according to L1-model).
  If no parameter is given, compute local chains with maximum score.
  If parameter is given, this must be a positive number optionally followed by
  the character b or p. If only the number, say k, is given, this is the
  minimum score of the chains output.
  If a number is followed by character b, then output all chains with the
  largest k scores. If a number is followed by character p, then output all
  chains with scores at most k percent away from the best score.

*-wf* <factor>::
  Specify weight factor > 0.0 to obtain the score of a fragment. Requires one
  of the options *-local*, *-global gc* or *-global ov*.

*-maxgap* <width>::
  Maximal width of gap in chain.

*-outprefix* <prefix>::
  Specify prefix of files to output chains.

*-withinborders*::
  Only compute chains which do not cross sequence borders (not possible for
  matches in open format).

*-thread* <keywords...>::
  Thread the chains, i.e. close the gaps. Accepts an optional list of keywords
  "minlen1 minlen2 maxerror1 maxerror2", each followed by a number specifies
  the minimum length and the maximum error rate of thread.
  1 refers to match instance in indexed sequence, 2 refers to matching
  instance in query.

*-silent*::
  Do not output the chains and only report their lengths and scores.

*-v*::
  Be verbose.

*-version*::
  Show the version of the Vmatch package.

*-help*::
  Show help.

## SEE ALSO

vmatch(1)
